#pragma once
#include "Gui/GuiMeter.h"
#include "Gui/GuiText.h"
#include "Gui/Screen.h"

class MainScreen: public Screen {
public:
	explicit MainScreen(TextureManager* manager);
	virtual ~MainScreen() override;

	virtual void Draw() const override;
	virtual void Update(float elapsedSecs) override;

	void SetFuelMeterValue(float value) const;
	void SetHullMeterValue(float value) const;

	void SetDepth(const std::string& text) const;
	void SetScore(const std::string& text) const;

private:
	GuiMeter* m_FuelMeter;
	GuiMeter* m_HullMeter;

	GuiText* m_DepthText;
	GuiText* m_ScoreText;
	
};
